from pyspark.sql import SQLContext
from pyspark.context import SparkContext
from pyspark.conf import SparkConf
import datetime
from pyspark.sql import HiveContext

def get_data():
    sc = SparkContext(conf=SparkConf().setAppName("esmm")).getOrCreate()
    sc.setLogLevel("WARN")
    ctx = SQLContext(sc)
    # end_date = (datetime.date.today() - datetime.timedelta(days=1)).strftime("%Y-%m-%d")
    # start_date = (datetime.date.today() - datetime.timedelta(days=day)).strftime("%Y-%m-%d")
    dbtable = "(select device_id,stat_date,ucity_id,cid_id,diary_service_id,y,z,clevel1_id," \
              "slevel1_id,ccity_name,scity_id from jerry_prod.esmm_data" \
              "inner join eagle.home_tab_click " \
              "on jerry_prod.esmm_data.device_id = eagle.home_tab_click.device_id)temp"
    click = ctx.read.format("jdbc").options(url="jdbc:mysql://10.66.157.22:4000",
                                             driver="com.mysql.jdbc.Driver",
                                             dbtable=dbtable,
                                             user="root",
                                             password="3SYz54LS9#^9sBvC").load()
    click.show(6)



if __name__ == '__main__':
    get_data()


